The Omni Group
These forums are now read-only. Please visit our new forums to participate in discussion. A new account will be required to post in the new forums. For more info on the switch, see this post. Thank you!

Go Back   The Omni Group Forums > Developer > AppleScripting Omni Apps
FAQ Members List Calendar Search Today's Posts Mark Forums Read

 
OO4 applescript Thread Tools Search this Thread Display Modes
Hi,
it's been a while since I played with applescript. However, I wanted to look at OO4 pro's applescript capabilities

- is there a need to somehow "register" OO4 within Automator? Currently, I have some actions in my library related to OmniOutliner, but when I run them, I get "New Outline File failed -- The document cannot be saved in 'OmniOutliner 3' format"

- similarly, in the AppleScript Editor, is there a way to show OmniOutliner related information in the Library (is there a *.sdef file; is there some documentation / list of available commands)?

Thanks
 
ok, never mind the script editor part of the question... it's open dictionary (shift + cmd + O)... d'oh
 
Quote:
Originally Posted by Carlos View Post
- is there a need to somehow "register" OO4 within Automator? Currently, I have some actions in my library related to OmniOutliner, but when I run them, I get "New Outline File failed -- The document cannot be saved in 'OmniOutliner 3' format"
Look in your automator action's script for a line which looks like this:

Code:
		save NewDocument in SaveLocation as "OmniOutliner 3"
The problem is that it's referring to the .oo3 file type using its old identifier "OmniOutliner 3". The solution is to leave off the file type altogether, so that line simply reads:

Code:
		save NewDocument in SaveLocation
Hope this helps!
 
Quote:
Originally Posted by Ken Case View Post
Look in your automator action's script for a line which looks like this:

Code:
		save NewDocument in SaveLocation as "OmniOutliner 3"
The problem is that it's referring to the .oo3 file type using its old identifier "OmniOutliner 3". The solution is to leave off the file type altogether, so that line simply reads:

Code:
		save NewDocument in SaveLocation
Hope this helps!
Hey, Ken, is that all we should have to do to make the Automator actions that shipped with OmniOutliner Pro 3.10.6 work with OmniOutliner (Pro) 4? I hacked the Contents/Info.plist within each action (which makes me very nervous, BTW) to remove references to "OmniOutliner Professional" and change references of "com.omnigroup.OmniOutlinerPro3" to "com.omnigroup.OmniOutliner4", but the "Export Outlines" action still barfs with "Can't get «class OOwt»." It would be better if you guys released OO4-compliant Automator actions, but if that's not going to happen, please give us some tips about how we can hack the OO3 ones 'em safely. Please let me know if this should be a new topic.
 
 


Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes



All times are GMT -8. The time now is 08:30 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2017, vBulletin Solutions, Inc.